import request, { postBlob } from '@/utils/request'

// 商用保险保存
export function insureWorkerCommercialSave(data) {
  return request({
    url: `/insure/worker/commercial/save`,
    method: 'post',
    data
  })
}

export function insureList2(params) {
  return request({
    url: `/worker/list2`,
    method: 'post',
    params
  })
}

// worker/list2

/**
 * 保险合同
 */

export function insureList(data) {
  return request({
    url: `/insure/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function insureListExport(data, name) {
  return postBlob({
    url: '/insure/list/export',
    data,
    name
  })
}

export function insureDetail(params) {
  return request({
    url: `/insure/detail`,
    method: 'post',
    params
  })
}

export function insureSave(data) {
  return request({
    url: `/insure/save`,
    method: 'post',
    data
  })
}

export function insureOnOff(params) {
  return request({
    url: `/insure/on-off`,
    method: 'post',
    params
  })
}

export function insureDelete(params) {
  return request({
    url: `/insure/delete`,
    method: 'post',
    params
  })
}

/**
 * 保险协议
 */

export function insureAgreeList(data) {
  return request({
    url: `/insure/agree/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function insureAgreeExport(data, name) {
  return postBlob({
    url: '/insure/agree/export',
    data,
    name
  })
}

export function insureAgreeDetail(params) {
  return request({
    url: `/insure/agree/detail`,
    method: 'post',
    params
  })
}

export function insureAgreeSave(data) {
  return request({
    url: `/insure/agree/save`,
    method: 'post',
    data
  })
}

export function insureAgreeOnOff(params) {
  return request({
    url: `/insure/agree/on-off`,
    method: 'post',
    params
  })
}

export function insureAgreeDelete(params) {
  return request({
    url: `/insure/agree/delete`,
    method: 'post',
    params
  })
}

/**
 * 邮箱配置
 */
export function insureEmailConfig(data) {
  return request({
    url: `/insure/email/config`,
    method: 'post',
    data
  })
}

export function insureEmailDetail(params) {
  return request({
    url: `/insure/email/detail`,
    method: 'post',
    params
  })
}

/**
 * 邮箱配置
 */
export function insureListemail(data) {
  return request({
    url: `/insure/listemail?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function insureListemailExport(data, name) {
  return postBlob({
    url: '/insure/listemail/export',
    data,
    name
  })
}

export function insureDetailemail(params) {
  return request({
    url: `/insure/detailemail`,
    method: 'post',
    params
  })
}

export function insureResend(params) {
  return request({
    url: `/insure/resend`,
    method: 'post',
    params
  })
}

/**
 * 工程师保险
 */
export function insureWorkerList(data) {
  var { moduleId, ...p } = data
  return request({
    url: `/insure/worker/list?moduleId=`,
    method: 'post',
    data: p
  })
}

export function insureWorkerLists(data) {
  return request({
    url: `/insure/worker/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function insureWorkerExport(data, name) {
  return postBlob({
    url: '/insure/worker/export',
    data,
    name
  })
}

export function insureWorkerDetail(params) {
  return request({
    url: `/insure/worker/detail`,
    method: 'post',
    params
  })
}

export function insureWorkerOnOff(params) {
  return request({
    url: `/insure/worker/on-off`,
    method: 'post',
    params
  })
}

/**
 * 商用工程师保险
 */
export function insureWorkerCommercialList(data) {
  return request({
    url: `/insure/worker/commercial/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function insureWorkerCommercialExport(data, name) {
  return postBlob({
    url: '/insure/worker/commercial/export',
    data,
    name
  })
}

export function insureWorkerCommercialDetail(params) {
  return request({
    url: `/insure/worker/commercial/detail`,
    method: 'post',
    params
  })
}

export function insureWorkerCommercialExamine(params) {
  return request({
    url: `/insure/worker/commercial/examine`,
    method: 'post',
    params
  })
}

export function insureWorkerCommercialOnOff(params) {
  return request({
    url: `/insure/worker/commercial/onOff`,
    method: 'post',
    params
  })
}
